#!/bin/bash

. /etc/conf.d/dfp-cali

JSDEV=/dev/logi_dfp
LOG="logger -t Logi-DFP-Cali -- "

$LOG "Calibrating $JSDEV with jscal."

RET=$(jscal -s "$CALIBRATION" "$JSDEV" 2>&1)

if (( $? == 0 ))
then
	$LOG "Done."
else
	$LOG "Failed: $RET"
fi
